				
Description:

	backup is a program that can list the contents of, and extract
	files from a TOPS-10 backup tape.  The command syntax is some-
	what resembling that of tar.  The command

		backup -t[v][c][f tape]

	lists the contents of 'tape'.  The command

		backup -x[acodiv8][c][f tape] file1 file2 ...

	extracts all files whose canonical names match any of the file
	arguments given.  See '-o' option for description on
	cannonical name format.


Arguments:

	'tape' is the name of a tape drive, the name of a file or the
	single character '-', meaning stdin.  If omitted, the environment
	variable TAPE will be consulted.


	If the "tape" argument is actually a file, which was captured
	from a tape (say, on a different machine).  The "known good" way 
	to capture the contents of the tape is to use the unix utility
	"dd", and a command line something like this:

	   dd if=/dev/rmt0 of=data ibs=2720 obs=2720 conv=block

	the key thing is that this program expects a fixed block size of
	2720 bytes.  If the tape actually has some other format, this 
	program probably won't succeed.  You can use the unix utility "tcopy"
	to inspect the contents of the tape.

	   Here's the tcopy output from a good tape:

	   tcopy /dev/rmt0 
	   file 0: block size 2720: 9917 records
	   file 0: eof after 9917 records: 26974240 bytes
	   eot
	   total length: 26974240 bytes


	File arguments are either any substring of the canonical name
	printed with 'backup -t ...', or a hash mark, and the number
	of the file on the tape, or "*" to simply extract all the files.

Options:

   -a	"ascii"	Convert CRLF's to plain LF's on output.

   -c	The 'tape' contains two-byte (little endian) record lengths,
	("TPC" format) used in the pdp-10.trailing-edge.com archive.

   -F	Flatnamespace toggle.  By default files are extracted in
	directory tree of the form p,pn/sfd1/sfd2/file.ext (or if -o
	is in effect: dev:p_pn/sfd1/sfd2/file.ext). Use of -F extracts
	uses the cannonical name directly.

   -i	"interchange" Ignore device and directory info when building
	output file names.

   -o	Toggle "old canonical name".  The default canonical name is a
	string of the form: device:[p,pn,sfd1,sfd2]file.ext unless the
	-o flag is specified, in which case the canonical name format is
	device:p_pn.sfd1.sfd2..file.ext

   -r	Raw.  File data is dumped raw from tape (using 5 bytes for
	every 36-bit word).

   -v	Verbose.  Does the obvious.  -vv does even more.

   -D	Debug.  Does the obvious.

   -8	Tops-10 file was in eight-bit mode (NOT IMPLEMENTED).


Bugs:

	-c and -8 are unimplemented.

	We don't handle multiple tape savesets.

	We don't check for bad format of input.

	We don't handle checksums, or repeated blocks.



